BEGIN{
FS="::"
toanalyse=0
okprintomp=0

print "!! ================================================================================================================================"
print "!! SUBROUTINE   : livestock_parameters_init 												  "
print "!!																  "
print "!>\BRIEF          This subroutine initializes all the livestock parameters by the default values					  "
print "!! of the corresponding metaclasse. 												  "
print "!!																  "
print "!! DESCRIPTION  : This subroutine is called after the reading of the number of LIVESTOCK types and the correspondence			  "
print "!!                table defined by the user in the configuration files. \n							  "
print "!!                With the correspondence table, the subroutine can search the default values for the parameter			  "
print "!!                even if the LIVESTOCK types are classified in a random order. \n					  "
print "!!																  "
print "!! RECENT CHANGE(S): 						  "
print "!!																  "
print "!! MAIN OUTPUT VARIABLE(S): None													  "
print "!!																  "
print "!! REFERENCE(S) : None														  "
print "!!																  "
print "!! FLOWCHART    : None														  "
print "!! \n																  "
print "!_ ================================================================================================================================"
print "																	  "
print "  SUBROUTINE livestock_parameters_init()												  "
print "																	  "
print "    IMPLICIT NONE														  "
print "																	  "
print "    !! 0. Variables and parameters declaration											  "
print "																	  "
print "    !! 0.1 Input variables													  "
print "																	  "
print "    !! 0.4 Local variables													  "
print "																	  "
print "    INTEGER(i_std)                :: jv            !! Index (unitless) 								  "
print "    !_ ============================================================================================================================"
print "																	  "
print "    !																  "
print "    ! 1. Correspondance between the LIVESTOCK type values and thes LMTCs values 								  "
print "    !                                                                                                                              "                                       


}
{
    if($2!="")
    { 

 	var="echo \""$2"\"|sed -e 's/\=\.\*//'"
	var | getline myvar
	close(var)

	var="echo \""myvar"\"|sed -e 's/_lmtc//'"
	var | getline myvar
	close(var)

	var="echo \""myvar"\"|sed -e 's/\ //g'"
	var | getline myvar
	close(var)

	if(myvar=="nlmc") toanalyse=1

	if(myvar=="nlmc") myvar="nlm"
	if(myvar=="LMTC_name") myvar="LIVESTOCK_name"

	if(myvar!="nlm")
	{
	    if(myvar=="LIVESTOCK_name")
	    {
		print "  "myvar"(:) = LMTC_name(livestock_to_lmtc(:))"
	    }
	    else
	    {
		print "  "myvar"(:) = "myvar"_lmtc(livestock_to_lmtc(:))"
	    }
	}
    }
    else
    {
	comment="echo \""$1"\"|sed -e 's/^\ //'"
	comment | getline mycomment
	close(comment)
	comment="echo \""mycomment"\"|sed -e 's/^\ //'"
	comment | getline mycomment
	close(comment)
	comment="echo \""mycomment"\"|sed -e 's/^\ //'"
	comment | getline mycomment
	close(comment)
	if(substr(mycomment,1,1)=="!") 
	{
	    if(toanalyse) print $0
	}
    }
}
END{
    print "END SUBROUTINE livestock_parameters_init"
}
